package kr.co.hanwha.hifive.adapter.contract;

import android.support.annotation.NonNull;

import java.util.ArrayList;

import kr.co.hanwha.hifive.data.model.AlarmData;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public interface AlarmListContract {
    interface OnAlarmListListener {
        /**
         * TASK 클릭
         *
         * @param data TO-DO 데이터
         */
        void onItemClicked(@NonNull int index, @NonNull AlarmData data);
    }

    interface View {
        void notifyDataAll();

        void notifyDataRangeChanged(int positionStart, int itemCount);
    }

    interface Model {
        void addItems(ArrayList<AlarmData> list);

        void replaceItem(int index, AlarmData data);
    }
}
